import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:nan_scan/my_scan_view.dart';
import 'package:nan_scan/nan_scan_channel.dart';
import 'package:nan_scan/nan_scan_widget.dart';

class NanScanPage extends StatefulWidget{

  final Function onResult;
  NanScanPage({
    Key key,
    this.onResult,
  }):super(key: key);

  @override
  _NanScanPageState createState() => _NanScanPageState();


}
class _NanScanPageState extends State<NanScanPage>{

  String scanResult="";
  
  @override
  void initState() {
    super.initState();
    
  }

  @override
  void dispose() {
    super.dispose();
    
  }


  @override
  Widget build(BuildContext context) {

    return Scaffold(
      body: Stack(
        children: [
          NanScanWidget(onResult: (String result){
            print(result);
            // scanResult = result;
            if (widget.onResult != null) {
              widget.onResult(result);
            }
            Navigator.pop(context);
          }),
          MyScanView(),
          openWidget()
        ],
      ),
    );
  }

  Widget openWidget(){
    return Stack(
      children: [
        Positioned(
          bottom: MediaQueryData.fromWindow(window).padding.bottom+20,
          right: (MediaQueryData.fromWindow(window).size.width-60)/2,
          child: GestureDetector(
            child: Container(
              width: 60,
              height: 60,
              alignment: Alignment.center,
              constraints: BoxConstraints(
                
              ),
              decoration: BoxDecoration(
                color: Color.fromRGBO(245,245,245,0.5),
                // boxShadow: [
                //   // BoxShadow(color: Color(0x99FFFF00), offset: Offset(3.0, 3.0), blurRadius: 10.0, spreadRadius: 2.0), 
                //   BoxShadow(color: Color.fromRGBO(255, 255, 255, 1), offset: Offset(0.5, 0.5)), 
                //   BoxShadow(color: Color.fromRGBO(	105,105,105, 1))
                // ],
                borderRadius: BorderRadius.all(Radius.circular(30))
              ),
              child: Icon(Icons.flashlight_on,color: Colors.white)//Text("重",style: TextStyle(color: Colors.white,fontSize: 20),),
            ),
            onTap: (){
              NanScanMethod.toggleTorchMode();
            },
          )
        ),
        Positioned(
          top: MediaQueryData.fromWindow(window).padding.top,
          left: 20,
          child: ScanUtil.loadAssetImage("take_pic_back",width: 30,height: 30,onTap: (){
            Navigator.pop(context);
          },)
        ),
        
      ],
    );
  }
}